### Method

# Ide Object ref_parent

#### Declaration

    IdeObject*
    ide_object_ref_parent (
      IdeObject* self
    )

#### Description

Gets the parent `IdeObject`, if any.

Available since: | 3.32

#### Return value

Returns: | `IdeObject`
| An `IdeObject` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.